# Introduction
readline-responsive is responsive version of readline.
pause() and resume() method work immediately.

# Usage
```javascript
const readlineResponsive = require("readline-responsive");

//@param : Readable stream or String(filePath)
var rl = readlineResponsive(fs.createReadStream(__dirname+"/foo.txt"));

rl.on("line", function (data) {
	//it pauses immediately
	rl.pause();

	//after some async task...
	asyncTask(function () {
		rl.resume();
	});
});

rl.on("resume", function () {
	console.log("resume");
});

rl.on("pause", function () {
	console.log("pause");
});

rl.on("close", function () {
	console.log("closed");
});
```

# Methods
It works like nodeJS's readline.
```javascript
var readlineResponsive = require("readline-responsive");
var rl = readlineResponsive(fs.createReadStream(__dirname+"/foo.txt"));

rl.pause();
rl.resume();
rl.close();
```

# Events
It works like nodeJS's readline.

```javascript
var readlineResponsive = require("readline-responsive");
var rl = readlineResponsive(fs.createReadStream(__dirname+"/foo.txt"));

rl.on("line", function (data) {
	console.log("line", data);
});

rl.on("resume", function () {
	console.log("resume");
});

rl.on("pause", function () {
	console.log("pause");
});

rl.on("close", function () {
	console.log("closed");
});
```